Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.annotation.expression.ast
Interface AnnotationParserTreeConstants

All Known Implementing Classes:
  AnnotationParser

    public interface AnnotationParserTreeConstants

Field Summary
`static int` | `JJTANNOTATION`
`static int` | `JJTARRAY`
`static int` | `JJTBOOLEAN`
`static int` | `JJTCHAR`
`static int` | `JJTFLOAT`
`static int` | `JJTHEX`
`static int` | `JJTIDENTIFIER`
`static int` | `JJTINTEGER`
`static int` | `JJTKEYVALUEPAIR`
`static String[]` | `jjtNodeName`
`static int` | `JJTOCT`
`static int` | `JJTROOT`
`static int` | `JJTSTRING`
`static int` | `JJTVOID`

Field Detail

### JJTROOT

    static final int JJTROOT

See Also:
  Constant Field Values

### JJTANNOTATION

    static final int JJTANNOTATION

See Also:
  Constant Field Values

### JJTVOID

    static final int JJTVOID

See Also:
  Constant Field Values

### JJTKEYVALUEPAIR

    static final int JJTKEYVALUEPAIR

See Also:
  Constant Field Values

### JJTIDENTIFIER

    static final int JJTIDENTIFIER

See Also:
  Constant Field Values

### JJTBOOLEAN

    static final int JJTBOOLEAN

See Also:
  Constant Field Values

### JJTCHAR

    static final int JJTCHAR

See Also:
  Constant Field Values

### JJTSTRING

    static final int JJTSTRING

See Also:
  Constant Field Values

### JJTARRAY

    static final int JJTARRAY

See Also:
  Constant Field Values

### JJTINTEGER

    static final int JJTINTEGER

See Also:
  Constant Field Values

### JJTFLOAT

    static final int JJTFLOAT

See Also:
  Constant Field Values

### JJTHEX

    static final int JJTHEX

See Also:
  Constant Field Values

### JJTOCT

    static final int JJTOCT

See Also:
  Constant Field Values

### jjtNodeName

    static final String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.